$(document).ready(function(){


	var header = $('#tm-header');
	if($('#tm-header').length) {
		var tmpin = function () {
			var scrollTop = $(window).scrollTop();
			if (scrollTop > 130) {
				header.addClass('pin');
			} else {
				if (header.hasClass('pin')) {
					header.removeClass('pin');
				}
			}
		};
		tmpin();
		$(window).scroll(function () {
			tmpin();
		});
	}
	
	var tmtopbar = $('#tm-top-bar');
	var tmlogo = $('#logo');

	if($('#tm-header').length) {
		var stickyHeader = function () {
			var scrollTop = $(window).scrollTop();
			if (scrollTop > 500) {
				header.addClass('header-stick');
				tmtopbar.addClass('top-bar-stick');
				tmlogo.addClass('logo-stick');

			} else {
				if (header.hasClass('header-stick')) {
					header.removeClass('header-stick');
					tmtopbar.removeClass('top-bar-stick');
					tmlogo.removeClass('logo-stick');
				}
			}
		};
		stickyHeader();
		$(window).scroll(function () {
			stickyHeader();
		});
	}

	// Submenu
	
	$('.responsive-bars').on('click', function (event) {
		event.preventDefault();
		$(event.target).toggleClass('open');
		$('.page-submenu').toggleClass('opened');
		$(this).next().slideToggle();
		return false;
	});
	
	
	var subheader = $('#tm-page-submenu');
	if($('#tm-page-submenu').length) {
		var tmsubpin = function () {
			var scrollTop = $(window).scrollTop();
			if (scrollTop > 130) {
				subheader.addClass('pin');
			} else {
				if (subheader.hasClass('pin')) {
					subheader.removeClass('pin');
				}
			}
		};
		tmsubpin();
		$(window).scroll(function () {
			tmsubpin();
		});
	}


	$('.scroll-up').click(function () {
		$("html, body").animate({
			scrollTop: 0
		}, 600);
		return false;
	});

	$('.megamenu-wrapper').parent().parent().css('position', 'static').parent().css('position', 'relative');
	$('.menu-full').each(function () {
		$(this).parent().addClass('menu-justify');
	});

	$('.tm-site-menu').on('click', function (event) {
		event.preventDefault();
		$('body').toggleClass('offcanvas-active');
		$('.tm-site-menu').toggleClass('active');
	});

	
	// Responsive Menu
	
	$('.oc-menu-block h3').on('click', function (event) {
		event.preventDefault();
		$(event.target).toggleClass('expand');
		$(this).next().slideToggle();
		return false;
	});
	
	
	

	$('.close-offcanvas, .offcanvas-overlay').on('click', function (event) {
		event.preventDefault();
		$('body').removeClass('offcanvas-active');
		$('.tm-site-menu').removeClass('active');
	});
	
	
	$(document).on('click', '.offcanvas-inner .menu-toggler', function(event){
		event.preventDefault();
		$(this).closest('.menu-parent').toggleClass('menu-parent-open').find('>.menu-child').slideToggle(400);
	});


	$(".btn-group label:not(.active)").click(function()
		{
			var label = $(this);
			var input = $('#' + label.attr('for'));
			
			if (!input.prop('checked')) {
				label.closest('.btn-group').find("label").removeClass('active btn-success btn-danger btn-primary');
				if (input.val() === '') {
					label.addClass('active btn-primary');
				} else if (input.val() == 0) {
					label.addClass('active btn-danger');
				} else {
					label.addClass('active btn-success');
				}
				input.prop('checked', true);
				input.trigger('change');
			}
			var parent = $(this).parents('#attrib-helix_ultimate_blog_options'); 
			if( parent ){ 
				showCategoryItems( parent, input.val() )
			}
		});
		$(".btn-group input[checked=checked]").each(function()
		{
			if ($(this).val() == '') {
				$("label[for=" + $(this).attr('id') + "]").addClass('active btn btn-primary');
			} else if ($(this).val() == 0) {
				$("label[for=" + $(this).attr('id') + "]").addClass('active btn btn-danger');
			} else {
				$("label[for=" + $(this).attr('id') + "]").addClass('active btn btn-success');
			}
			var parent = $(this).parents('#attrib-helix_ultimate_blog_options'); 
			if( parent ){
				parent.find('*[data-showon]').each( function() {
					$(this).hide();
				})
			}
		});
});